import { BsModalService, BsModalRef } from "ngx-bootstrap/modal";
import { ModalDirective } from "ngx-bootstrap/modal";
export declare class ExhibitModal {
    private modalService;
    modalRef: BsModalRef;
    currentTab: number;
    exhibitData: any[];
    exhibitContent: any;
    isExhibit: number;
    index: number;
    examEngineType: string;
    nclexModal: ModalDirective;
    qpExhibitModal: ModalDirective;
    selectedTheme: any;
    fontSize: any;
    set questionCurrentData(value: any);
    constructor(modalService: BsModalService);
    moveToExhibitContent(index: any, content: any): void;
    openModal(): void;
    changeTab(index: any, content: any): void;
}
